> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Requests



## OpenAPI

````yaml https://api.notte.cc/openapi.json get /payments
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.10.5
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: audit
    description: Audit trail of account and workspace changes.
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /payments:
    get:
      tags:
        - payments
      summary: List Payment Requests
      operationId: list_payment_requests
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Number of items per page
            default: 20
            title: Page Size
          description: Number of items per page
        - name: session_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Only payments of this session
            title: Session Id
          description: Only payments of this session
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - awaiting_connection
                  - creating
                  - awaiting_approval
                  - requires_action
                  - approved
                  - provisioning
                  - ready
                  - declined
                  - expired
                  - failed
                  - closed
                type: string
              - type: 'null'
            description: Only payments in this state
            title: Status
          description: Only payments in this state
        - name: mode
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - test
                  - live
                type: string
              - type: 'null'
            description: Only test or live payments
            title: Mode
          description: Only test or live payments
        - name: user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: >-
              Only payments this user requested. Members see only their own
              payments.
            title: User Id
          description: >-
            Only payments this user requested. Members see only their own
            payments.
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_PaymentListItem_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples: []
components:
  schemas:
    PaginatedResponse_PaymentListItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PaymentListItem'
          type: array
          title: Items
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        has_next:
          type: boolean
          title: Has Next
        has_previous:
          type: boolean
          title: Has Previous
          readOnly: true
      type: object
      required:
        - items
        - page
        - page_size
        - has_next
        - has_previous
      title: PaginatedResponse[PaymentListItem]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PaymentListItem:
      properties:
        id:
          type: string
          title: Id
        session_id:
          type: string
          title: Session Id
        status:
          type: string
          title: Status
        mode:
          type: string
          title: Mode
        amount:
          type: string
          title: Amount
          description: Amount in currency units, serialized as an exact decimal string.
        currency:
          type: string
          title: Currency
        merchant_name:
          type: string
          title: Merchant Name
        merchant_url:
          type: string
          title: Merchant Url
        vault_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Vault Id
        approval_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Approval Url
        connection_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Connection Url
        connection_phrase:
          anyOf:
            - type: string
            - type: 'null'
          title: Connection Phrase
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
        next_action:
          anyOf:
            - $ref: '#/components/schemas/PaymentNextAction'
            - type: 'null'
        purchase_status:
          type: string
          const: unverified
          title: Purchase Status
          default: unverified
        user_id:
          type: string
          title: User Id
          description: The user who requested the payment.
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - session_id
        - status
        - mode
        - amount
        - currency
        - merchant_name
        - merchant_url
        - user_id
        - created_at
        - updated_at
      title: PaymentListItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PaymentNextAction:
      properties:
        type:
          type: string
          enum:
            - ssn_verification
            - identity_verification
            - contact_support
            - select_payment_method
            - add_payment_method
            - update_payment_method
            - re_authorize
            - three_d_secure
            - three_d_secure_retry
          title: Type
        resolution:
          type: string
          enum:
            - auto_resume
            - create_new_spend_request
            - create_new_spend_request_after_completion
          title: Resolution
        action_url:
          anyOf:
            - type: string
              maxLength: 4096
            - type: 'null'
          title: Action Url
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
      type: object
      required:
        - type
        - resolution
      title: PaymentNextAction
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.